commit:     34392deaeeac83e04b59dd8a1570468c083868d4
Author:     soredake <fdsfgs <AT> krutt <DOT> org>
AuthorDate: Tue Aug  1 22:10:01 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Aug 13 13:23:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34392dea

net-news/rssguard: add live version.

 net-news/rssguard/rssguard-9999.ebuild | 49 ++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/net-news/rssguard/rssguard-9999.ebuild 
b/net-news/rssguard/rssguard-9999.ebuild
new file mode 100644
index 00000000000..4ca7b2a4399
--- /dev/null
+++ b/net-news/rssguard/rssguard-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit git-r3 qmake-utils
+
+DESCRIPTION="A tiny RSS and Atom feed reader"
+HOMEPAGE="https://github.com/martinrotter/rssguard";
+EGIT_REPO_URI="https://github.com/martinrotter/${PN}.git";
+EGIT_SUBMODULES=()
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug webengine"
+
+RDEPEND="
+       >=dev-qt/qtcore-5.6:5
+       >=dev-qt/qtgui-5.6:5
+       >=dev-qt/qtnetwork-5.6:5
+       >=dev-qt/qtsql-5.6:5
+       >=dev-qt/qtwidgets-5.6:5
+       >=dev-qt/qtxml-5.6:5
+       webengine? ( >=dev-qt/qtwebengine-5.6:5[widgets] )
+"
+DEPEND="${RDEPEND}
+       >=dev-qt/linguist-tools-5.6:5
+"
+
+src_prepare() {
+       default
+
+       # remove bundled qtbase translations
+       rm -v localization/qtbase* || die
+       sed -i -e "s|localization/qtbase_[a-z][a-z].ts||g" ${PN}.pro || die
+}
+
+src_configure() {
+       eqmake5 \
+               CONFIG+=$(usex debug debug release) \
+               USE_WEBENGINE=$(usex webengine true false) \
+               LRELEASE_EXECUTABLE="$(qt5_get_bindir)/lrelease" \
+               PREFIX="${EPREFIX}"/usr \
+               INSTALL_ROOT=.
+}
+
+src_install() {
+       emake install INSTALL_ROOT="${D}"
+}

Reply via email to